#include<dht11.h>

//  Module variable
dht11 DhtSensor;
int   PsSensor;

void  setup(){
	//  Serial Baudrate
	Serial.begin(115200);

	//  LED、Buzzer pin setting
	pinMode(5 ,OUTPUT);
	pinMode(6 ,OUTPUT);
	pinMode(7 ,OUTPUT);
}

void  loop(){
	//	Read sensor data
	DhtSensor.read(A0);
	PsSensor = analogRead(A1);

	//  Show value
	Serial.print("Humidity : ");
	Serial.println(DhtSensor.humidity);

	Serial.print("Temperature : ");
	Serial.println(DhtSensor.temperature);

	Serial.print("Pressure : ");
	Serial.println(PsSensor);

	//	Test output
	if(DhtSensor.humidity <= 30){
		digitalWrite(7 ,HIGH);
	}else{
		digitalWrite(7 ,LOW);	
	}

	if(DhtSensor.temperature <= 25){
		digitalWrite(6 ,HIGH);
	}else{
		digitalWrite(6 ,LOW);
	}

	if(PsSensor >= 10){
		digitalWrite(5 ,HIGH);
	}else{
		digitalWrite(5 ,LOW);
	}

	//  Evry 1 SEC run one turn
	delay(1000);
}
